Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::TermVectorsTermsWriterPerField Class Reference

`#include <TermVectorsTermsWriterPerField.h>`

Inheritance diagram for Lucene::TermVectorsTermsWriterPerField:

## Public Member Functions

| TermVectorsTermsWriterPerField (const TermsHashPerFieldPtr &termsHashPerField, const TermVectorsTermsWriterPerThreadPtr &perThread, const FieldInfoPtr &fieldInfo)
virtual | ~TermVectorsTermsWriterPerField ()
virtual String | getClassName ()
boost::shared_ptr< TermVectorsTermsWriterPerField > | shared_from_this ()
virtual int32_t | getStreamCount ()
virtual bool | start (Collection< FieldablePtr > fields, int32_t count)
virtual void | abort ()
virtual void | finish ()
| Called once per field per document if term vectors are enabled, to write the vectors to RAMOutputStream, which is then quickly flushed to the real term vectors files in the Directory. More...
void | shrinkHash ()
virtual void | start (const FieldablePtr &field)
virtual void | newTerm (const RawPostingListPtr &p0)
virtual void | addTerm (const RawPostingListPtr &p0)
virtual void | skippingLongTerm ()
Public Member Functions inherited from Lucene::TermsHashConsumerPerField
virtual | ~TermsHashConsumerPerField ()
boost::shared_ptr< TermsHashConsumerPerField > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermsHashConsumerPerField
static String | _getClassName ()

## Data Fields

TermVectorsTermsWriterPerThreadWeakPtr | _perThread
TermsHashPerFieldWeakPtr | _termsHashPerField
TermVectorsTermsWriterWeakPtr | _termsWriter
FieldInfoPtr | fieldInfo
DocStateWeakPtr | _docState
FieldInvertStateWeakPtr | _fieldState
bool | doVectors
bool | doVectorPositions
bool | doVectorOffsets
int32_t | maxNumPostings
OffsetAttributePtr | offsetAttribute

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ TermVectorsTermsWriterPerField()

Lucene::TermVectorsTermsWriterPerField::TermVectorsTermsWriterPerField | ( | const TermsHashPerFieldPtr & | termsHashPerField,
|  | const TermVectorsTermsWriterPerThreadPtr & | perThread,
|  | const FieldInfoPtr & | fieldInfo
| ) |  |

## ◆ ~TermVectorsTermsWriterPerField()

virtual Lucene::TermVectorsTermsWriterPerField::~TermVectorsTermsWriterPerField | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::TermVectorsTermsWriterPerField::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::TermVectorsTermsWriterPerField::abort | ( |  | ) |

virtual

## ◆ addTerm()

virtual void Lucene::TermVectorsTermsWriterPerField::addTerm | ( | const RawPostingListPtr & | p0 | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

## ◆ finish()

virtual void Lucene::TermVectorsTermsWriterPerField::finish | ( |  | ) |

virtual

Called once per field per document if term vectors are enabled, to write the vectors to RAMOutputStream, which is then quickly flushed to the real term vectors files in the Directory.

Implements Lucene::TermsHashConsumerPerField.

## ◆ getClassName()

virtual String Lucene::TermVectorsTermsWriterPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermsHashConsumerPerField.

## ◆ getStreamCount()

virtual int32_t Lucene::TermVectorsTermsWriterPerField::getStreamCount | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

## ◆ newTerm()

virtual void Lucene::TermVectorsTermsWriterPerField::newTerm | ( | const RawPostingListPtr & | p0 | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

## ◆ shared_from_this()

boost::shared_ptr< TermVectorsTermsWriterPerField > Lucene::TermVectorsTermsWriterPerField::shared_from_this | ( |  | ) |

inline

## ◆ shrinkHash()

void Lucene::TermVectorsTermsWriterPerField::shrinkHash | ( |  | ) |

## ◆ skippingLongTerm()

virtual void Lucene::TermVectorsTermsWriterPerField::skippingLongTerm | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

## ◆ start() [1/2]

virtual bool Lucene::TermVectorsTermsWriterPerField::start | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count
| ) |  |

virtual

Implements Lucene::TermsHashConsumerPerField.

## ◆ start() [2/2]

virtual void Lucene::TermVectorsTermsWriterPerField::start | ( | const FieldablePtr & | field | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

## Field Documentation

## ◆ _docState

DocStateWeakPtr Lucene::TermVectorsTermsWriterPerField::_docState

## ◆ _fieldState

FieldInvertStateWeakPtr Lucene::TermVectorsTermsWriterPerField::_fieldState

## ◆ _perThread

TermVectorsTermsWriterPerThreadWeakPtr Lucene::TermVectorsTermsWriterPerField::_perThread

## ◆ _termsHashPerField

TermsHashPerFieldWeakPtr Lucene::TermVectorsTermsWriterPerField::_termsHashPerField

## ◆ _termsWriter

TermVectorsTermsWriterWeakPtr Lucene::TermVectorsTermsWriterPerField::_termsWriter

## ◆ doVectorOffsets

bool Lucene::TermVectorsTermsWriterPerField::doVectorOffsets

## ◆ doVectorPositions

bool Lucene::TermVectorsTermsWriterPerField::doVectorPositions

## ◆ doVectors

bool Lucene::TermVectorsTermsWriterPerField::doVectors

## ◆ fieldInfo

FieldInfoPtr Lucene::TermVectorsTermsWriterPerField::fieldInfo

## ◆ maxNumPostings

int32_t Lucene::TermVectorsTermsWriterPerField::maxNumPostings

## ◆ offsetAttribute

OffsetAttributePtr Lucene::TermVectorsTermsWriterPerField::offsetAttribute

The documentation for this class was generated from the following file:

- TermVectorsTermsWriterPerField.h

clucene.sourceforge.net